* {
    box-sizing: border-box;
}
html, body {
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    height: 100vh;
    font-family: 'Roboto', sans-serif;
    background-color: #f9f9f9;
}

header, .form, main {
    margin: 0 auto 60px;
    width: 90%;
    max-width: 500px;
}

header, main, footer {
    text-align: center;
}

header button {
    margin-top: 16px;
    padding: 8px 16px;
    border-radius: 4px;
    background-color: #ff4f4f;
    color: white;
    font-weight: bold;
    border: none;
}

.logo {
    width: 120px;
    margin: 70px 0;
}

h1 h2 {
    color: #323232;
}
main h2 span {
    color: #ff4f4f;
}
main .donors{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 45px;
    background-color: #ff4f4f;
    padding: 16px 64px;
    border-radius: 6px;
    transition: all 300ms;
}

.form h2 {
    text-align: right;
    color: #f9f9f9;
    font-size: 18px;
}
form input, form button {
    width: 100%;
    margin-bottom: 4px;
    padding: 8px 16px;
    border-radius: 4px;
    border: 1px #f9f9f9 solid;
}

form input {
    background-color: transparent;
}

form input::placeholder {
    color: #f9f9f9;
}

form button {
    font-weight: bold;
}

header h1, main h2 {
    margin-bottom: 70px;
}

.blood {
    color: #ff4f4f;
    font-weight: bold;
    font-size: 12px;
    display: flex;
    align-items: center;
    position: relative;
    justify-content: center;
}

.blood::before {
    content: "";
    background-color: #ff4f4f19;
    width: 40px;
    height: 40px;
    position: absolute;

    /** gota **/
    border-radius: 50%;
    border-top-right-radius: 0;
    transform: rotate(-45deg);
}

.donor p {
    margin: 24px 0;
    font-size: 14px;
}

footer {
    margin-top: auto;
    padding: 16px;
    border-top: 1px #eee solid;
}

.hide{
    opacity: 0;
    visibility: hidden;
    margin-top: -70px;
    height: 0;
}